This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author vstinner
Recipients vstinner
Date 2014-09-03.21:44:43
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1409780683.92.0.966783842009.issue22332@psf.upfronthosting.co.za>
In-reply-to
Content
The test requires SemLock which is not supported on FreeBSD 6.4. The whole test_multiprocessing_main_handling should be skipped on this platform.

http://buildbot.python.org/all/builders/x86%20FreeBSD%206.4%203.x/builds/5010/steps/test/logs/stdio

======================================================================
FAIL: test_zipfile (test.test_multiprocessing_main_handling.SpawnCmdLineTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/test/test_multiprocessing_main_handling.py", line 213, in test_zipfile
    self._check_script(zip_name)
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/test/test_multiprocessing_main_handling.py", line 153, in _check_script
    rc, out, err = assert_python_ok(*run_args, __isolated=False)
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/test/script_helper.py", line 69, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/test/script_helper.py", line 55, in _assert_python
    "stderr follows:\n%s" % (rc, err.decode('ascii', 'ignore')))
AssertionError: Process return code is 1, stderr follows:
Traceback (most recent call last):
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/synchronize.py", line 29, in <module>
    from _multiprocessing import SemLock, sem_unlink
ImportError: cannot import name 'SemLock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/tmp/tmpwgjabqgk/test_zip.zip/__main__.py", line 16, in <module>
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/context.py", line 118, in Pool
    context=self.get_context())
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/pool.py", line 150, in __init__
    self._setup_queues()
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/pool.py", line 243, in _setup_queues
    self._inqueue = self._ctx.SimpleQueue()
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/context.py", line 111, in SimpleQueue
    return SimpleQueue(ctx=self.get_context())
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/queues.py", line 319, in __init__
    self._rlock = ctx.Lock()
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/context.py", line 65, in Lock
    from .synchronize import Lock
  File "/usr/home/db3l/buildarea/3.x.bolen-freebsd/build/Lib/multiprocessing/synchronize.py", line 34, in <module>
    " function, see issue 3770.")
ImportError: This platform lacks a functioning sem_open implementation, therefore, the required synchronization primitives needed will not function, see issue 3770.
History
Date User Action Args
2014-09-03 21:44:43vstinnersetrecipients: + vstinner
2014-09-03 21:44:43vstinnersetmessageid: <1409780683.92.0.966783842009.issue22332@psf.upfronthosting.co.za>
2014-09-03 21:44:43vstinnerlinkissue22332 messages
2014-09-03 21:44:43vstinnercreate